:root {
  --banner-navigation-offset: 10px;
}




.keshiou-carousel-section .swiper-slide {
  width: 100%;
  position: relative;
  
}

.keshiou-carousel-section .swiper-slide .keshiou_slide_btn {
  position: absolute;
  left: var(--btn-left);
  top:var(--btn-top);
  transform: translate(-50%,-50%);
  background-color: var(--second-color);
  display: inline-block;
  width: max-content!important;
  border-radius: var(--border-radius);
  padding: 10px 20px;
  color: #fff;
}

.keshiou-carousel-section .swiper-slide  a {
  display: inline-block;
  width: 100%!important;
}

.keshiou-carousel-section .swiper-slide  a img {
  width: 100%;
  height: 100%;
}

.keshiou-carousel-section .swiper-pagination-bullet {
  --bullet-size: 10px;
  width: var(--bullet-size);
  height: var(--bullet-size);
  background: rgba(255, 255, 255, 1);
  opacity: 1 !important;
  margin: 0 15px !important;
}

.swiper-pagination-bullet-active {
  transform: scale(1.6);
  background-color: var(--primary-color) !important;
}

.swiper-navigation {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  position: absolute;
  bottom: var(--banner-navigation-offset);
}

.swiper-pagination {
  position: relative !important;
  width: auto !important;
}

.swiper-button-next::after,
.swiper-button-prev::after {
  display: none; /* Hide default arrows */
}

.swiper-button-lock {
  display: inline-block !important;
}
.swiper-button-prev,
.swiper-button-next {
  position: relative !important;
  width: 11px !important;
  height: 11px !important;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  opacity: 1 !important;
  cursor: pointer;
  border-bottom: 10px solid rgba(217, 217, 217, 1); /* Triangle color */
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
  border-bottom-color: var(
    --primary-color
  ) !important; /* Change color on hover */
}

.swiper-button-prev {
  margin-right: 50px;
  transform: rotate(-90deg) translateY(-50%) !important;
}

.swiper-button-next {
  margin-left: 50px;
  transform: rotate(90deg) translateY(-50%) !important;
}


@media screen and (max-width:1024px) {
  .keshiou-carousel-section .swiper-slide .keshiou_slide_btn {
    padding: 5px 10px;
    font-size: 14px;
  }
}

@media screen and (max-width: 768px) {
  .swiper-navigation {
    display: none!important;
  }

  .keshiou-carousel-section .swiper-slide .keshiou_slide_btn {
    padding: 5px 10px;
    font-size: 14px;
    top: 85%;
    left: 50%;
  }
}
